dbXML API

## com.dbxml.db.admin.nodes
Class DirectoryNode

    java.lang.Object
      com.dbxml.db.admin.nodes.AdminNode
          com.dbxml.db.admin.nodes.DirectoryNode

All Implemented Interfaces:
  HasChildren, HasMenu, HasStorage

public final class DirectoryNode
extends AdminNode
implements HasMenu, HasChildren, HasStorage

DirectoryNode

Field Summary
`static int` `ACTION_DELETE`
`static int` `ACTION_DETACH`

Fields inherited from interface com.dbxml.db.admin.nodes.HasMenu
`REFRESH_CHILDREN, REFRESH_NONE, REFRESH_PARENT, REFRESH_SELF, REFRESH_TREE, REMOVE_SELF`

Constructor Summary
`DirectoryNode(AdminNode parentNode, java.io.File file)`
`DirectoryNode(AdminNode parentNode, java.lang.String filename, java.lang.String label)`

Method Summary
`java.lang.String` `getCanonicalName()`
`AdminNode[]` `getChildren()`
`java.io.File` `getFile()`
`javax.swing.Icon` `getIcon()`
`java.lang.String` `getLabel()`
`MenuItem[]` `getMenu()`
`java.lang.String` `getMenuTitle()`
`AdminNode` `getRefreshTarget()`
`boolean` `isParentMenuInherited()`
`int` `menuAction(int action)`
`boolean` `storeDocWrapper(DocWrapper doc)`

Methods inherited from class com.dbxml.db.admin.nodes.AdminNode
`close, getColor, getFont, getParentNode, getTooltip, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTION_DELETE

    public static final int ACTION_DELETE

See Also:
  Constant Field Values

### ACTION_DETACH

    public static final int ACTION_DETACH

See Also:
  Constant Field Values

Constructor Detail

### DirectoryNode

    public DirectoryNode(AdminNode parentNode,
                         java.lang.String filename,
                         java.lang.String label)

### DirectoryNode

    public DirectoryNode(AdminNode parentNode,
                         java.io.File file)

Method Detail

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in class `AdminNode`

### getIcon

    public javax.swing.Icon getIcon()

  Overrides:
    `getIcon` in class `AdminNode`

### getFile

    public java.io.File getFile()

### storeDocWrapper

    public boolean storeDocWrapper(DocWrapper doc)

  Specified by:
    `storeDocWrapper` in interface `HasStorage`

### getRefreshTarget

    public AdminNode getRefreshTarget()

  Specified by:
    `getRefreshTarget` in interface `HasStorage`

### getChildren

    public AdminNode[] getChildren()

  Specified by:
    `getChildren` in interface `HasChildren`

### getCanonicalName

    public java.lang.String getCanonicalName()

### getMenu

    public MenuItem[] getMenu()

  Specified by:
    `getMenu` in interface `HasMenu`

### isParentMenuInherited

    public boolean isParentMenuInherited()

  Overrides:
    `isParentMenuInherited` in class `AdminNode`

### getMenuTitle

    public java.lang.String getMenuTitle()

  Specified by:
    `getMenuTitle` in interface `HasMenu`
  Overrides:
    `getMenuTitle` in class `AdminNode`

### menuAction

    public int menuAction(int action)

  Specified by:
    `menuAction` in interface `HasMenu`
  Overrides:
    `menuAction` in class `AdminNode`

dbXML API

Copyright (c) 2004 The dbXML Group